Skip to main content
PUT
/
wealth
/
accounts
/
{account_id}
/
investment-policy
Create or update investment policy statement
curl --request PUT \
  --url https://service.bluumfinance.com/v1/wealth/accounts/{account_id}/investment-policy \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "risk_profile": {
    "risk_tolerance": "moderate",
    "risk_score": 6,
    "volatility_tolerance": "medium"
  },
  "time_horizon": {
    "years": 15,
    "category": "long_term"
  },
  "investment_objectives": {
    "primary": "capital_appreciation",
    "secondary": [
      "income_generation",
      "tax_efficiency"
    ],
    "target_annual_return": "7.00"
  },
  "target_allocation": {
    "equities": {
      "target_percent": "50.00",
      "min_percent": "40.00",
      "max_percent": "60.00",
      "sub_allocations": {
        "us_large_cap": "30.00",
        "us_small_cap": "10.00",
        "international": "10.00"
      }
    },
    "fixed_income": {
      "target_percent": "25.00",
      "min_percent": "20.00",
      "max_percent": "30.00"
    },
    "treasury": {
      "target_percent": "20.00",
      "min_percent": "15.00",
      "max_percent": "25.00"
    },
    "alternatives": {
      "target_percent": "5.00",
      "min_percent": "0.00",
      "max_percent": "10.00"
    }
  },
  "constraints": {
    "liquidity_requirements": {
      "minimum_cash_percent": "5.00",
      "emergency_fund_months": 6
    },
    "tax_considerations": {
      "tax_loss_harvesting": true,
      "tax_bracket": "24",
      "prefer_tax_advantaged": true
    },
    "restrictions": {
      "excluded_sectors": [
        "tobacco",
        "gambling"
      ],
      "no_individual_stocks": true,
      "esg_screening": true,
      "esg_criteria": [
        "environmental",
        "social"
      ]
    },
    "rebalancing_policy": {
      "frequency": "quarterly",
      "threshold_percent": "5.00",
      "tax_aware": true
    }
  },
  "effective_date": "2025-01-15"
}
'
{
  "ips_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "version": 123,
  "risk_profile": {
    "risk_tolerance": "conservative",
    "risk_score": 5,
    "volatility_tolerance": "low"
  },
  "time_horizon": {
    "years": 25,
    "category": "short_term"
  },
  "investment_objectives": {
    "primary": "capital_preservation",
    "secondary": [
      "capital_preservation"
    ],
    "target_annual_return": "7.00"
  },
  "target_allocation": {
    "equities": {
      "target_percent": "50.00",
      "min_percent": "40.00",
      "max_percent": "60.00"
    },
    "fixed_income": {
      "target_percent": "25.00",
      "min_percent": "20.00",
      "max_percent": "30.00"
    },
    "treasury": {
      "target_percent": "20.00",
      "min_percent": "15.00",
      "max_percent": "25.00"
    },
    "alternatives": {
      "target_percent": "5.00",
      "min_percent": "0.00",
      "max_percent": "10.00"
    }
  },
  "constraints": {
    "liquidity_requirements": {
      "minimum_cash_percent": "5.00",
      "emergency_fund_months": 6
    },
    "tax_considerations": {
      "tax_loss_harvesting": false,
      "tax_bracket": "24",
      "prefer_tax_advantaged": true
    },
    "restrictions": {
      "excluded_sectors": [
        "tobacco",
        "gambling"
      ],
      "excluded_securities": [
        "<string>"
      ],
      "no_individual_stocks": false,
      "esg_screening": false,
      "esg_criteria": [
        "environmental"
      ],
      "shariah_compliant": false
    },
    "rebalancing_policy": {
      "frequency": "quarterly",
      "threshold_percent": "5.00",
      "tax_aware": true
    }
  },
  "effective_date": "2023-12-25",
  "status": "draft",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.bluumfinance.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using the API Key as username and API Secret as password.

Headers

Idempotency-Key
string

Unique key for idempotent operation

Maximum string length: 128

Path Parameters

account_id
string<uuid>
required

The investor account ID

Body

application/json

Request body for creating/updating IPS

risk_profile
object
required
time_horizon
object
required
investment_objectives
object
required
target_allocation
object
required

Target asset allocation with min/max bands

Example:
{
"equities": {
"target_percent": "50.00",
"min_percent": "40.00",
"max_percent": "60.00"
},
"fixed_income": {
"target_percent": "25.00",
"min_percent": "20.00",
"max_percent": "30.00"
},
"treasury": {
"target_percent": "20.00",
"min_percent": "15.00",
"max_percent": "25.00"
},
"alternatives": {
"target_percent": "5.00",
"min_percent": "0.00",
"max_percent": "10.00"
}
}
constraints
object

Investment constraints and guidelines

effective_date
string<date>

Response

Investment policy statement created or updated successfully

Investment policy statement defining risk profile, objectives, and constraints

ips_id
string<uuid>
read-only
account_id
string<uuid>
read-only
version
integer
read-only

Version number (versioned, immutable once published)

risk_profile
object
time_horizon
object
investment_objectives
object
target_allocation
object

Target asset allocation with min/max bands

Example:
{
"equities": {
"target_percent": "50.00",
"min_percent": "40.00",
"max_percent": "60.00"
},
"fixed_income": {
"target_percent": "25.00",
"min_percent": "20.00",
"max_percent": "30.00"
},
"treasury": {
"target_percent": "20.00",
"min_percent": "15.00",
"max_percent": "25.00"
},
"alternatives": {
"target_percent": "5.00",
"min_percent": "0.00",
"max_percent": "10.00"
}
}
constraints
object

Investment constraints and guidelines

effective_date
string<date>
status
enum<string>
read-only
Available options:
draft,
active,
superseded
created_at
string<date-time>
read-only
updated_at
string<date-time>
read-only